3 Replies Latest reply on Feb 12, 2010 12:34 PM by eppy1976

    ePO 3.6.1 to 4.5-Upgrade

      Hello All,

      We are currently running ePO 3.6.1 and would like to upgrade to 4.5

       

      What is the best practice/plan to upgrade ePO 3.6.1 to ePO 4.5.

      I had ePO class last year and I learned instructor from McAfee class-ePO-101- that the best way to go 4.0 or 4.5 is to perform an Side by Side upgrade and use our old ePO 3.6.1 server to help upgrade the managed machines to be managed by the new ePO 4.5 server.

       

      Example:

      side by side upgrade

      *Prepare the ePO 3.6.1 server

          -add the same agent version that ePO 4.5 server has

          -disabled all replication tasks and pull tasks

          -remove all the agent files from the master repository and replace them with the files from the master repository from the new ePO 4.5 server

      *Prepare the ePO 4.5 server

          -configure the new ePO server to manage the distributed repositories of the old ePO 3.6.1 server

          -replicate the master repository of the new ePO 4.5 sever to all the distributed repositories

          -configure the system tree, sorting, policites and tasks on the new ePO 4.5 server

       

      Please let me know what you think with this plan or adivce me if you other plan. Thanks

        • 1. Re: ePO 3.6.1 to 4.5-Upgrade
          rackroyd

          The parallel install idea is a nice one, but I can see a problem straight away that MA 4.5 - the agent used in ePO 4.5 can't be used in ePO 3.6.1

          That alone might knock your plan for six immediately i'm afraid.

           

          Please take a look at a couple of support articles:

          KB51573 lists the supported environments for the various agents.

          KB51569 lists the same for ePO.

           

          Well worth double-checking both, they are updated regularly.

           

          The policy models between ePO 3.6.1 and 4.5 are very different too which could make manual policy migration interesting.

           

          Providing you're on ePO 3.6.1 Patch 4 or later the ePO 4.5 installer should recognise and upgrade as appropriate, taking care of most of the work for you.

          There's a section in the ePO 4.5 install guide about this scenario.

           

          Perhaps others on the forum who have done this already can share their experiences and offer alternatives ?

           

          Rgds,

           

          Rob.

          • 2. Re: ePO 3.6.1 to 4.5-Upgrade
            rackroyd

            ~ Actually I'll correct myself there having just set up a clean ePO 4.5 installation for testing purposes. The default agent on ePO 4.5 out of the box is MA 4.0, not 4.5

             

            Apologies !

            • 3. Re: ePO 3.6.1 to 4.5-Upgrade

              So if I upgrade from 4.0 to 4.5 the framework agent is the same?

               

              Thanks,